//
// C++ Interface: accessaction
//
// Description:
//
//
// Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, (C) 2006-2018
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ACCESSACTION_H
#define ACCESSACTION_H

#include <QAction>

/**
	@author Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
*/
class AccessAction : public QAction
{
    Q_OBJECT
public:
    AccessAction(QString pid, QString u, QString h,
                 const QString & text, QObject * parent=0);
    ~AccessAction();
    QString pid()
    {
        return agentPid;
    }
    QString user()
    {
        return userName;
    }
    QString host()
    {
        return hostName;
    }
private:
    QString agentPid;
    QString userName;
    QString hostName;
signals:
    void actionActivated(AccessAction*);
private slots:
    void slotActivated();
};

#endif
